<?php
/**
 * Loads list of addons.
 *
 * @package miniorange-sms-order-notification-otp-verification/controllers
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
use WCSMSOTP\Helper\MoUtility;

if ( isset( $_GET['mowcaddon'] ) ) { // phpcs:ignore WordPress.Security.NonceVerification.Missing, WordPress.Security.NonceVerification.Recommended -- Reading GET parameter from the addon for checking the addon name, doesn't require nonce verification.
	return;
}

$mowc_addon_view_file = MOV_WC_DIR . 'views/add-on.php';
if ( ! MoUtility::mo_require_file( $mowc_addon_view_file, MOV_WC_DIR ) ) {
	return;
}
require_once $mowc_addon_view_file;
